{% extends 'base.html.twig' %}

{% block title %}Index des Sous-catégories{% endblock %}

{% block body %}
    <h1>Index des Sous-catégories</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nom de Sous-catégory</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for subCategory in subCategories %}
            <tr>
                <td>{{ subCategory.id }}</td>
                <td>{{ subCategory.nameSubCategory }}</td>
                <td>
                        <a href="{{ path('app_sub_category_show', {'id': subCategory.id}) }}">Afficher</a>
                        <a href="{{ path('app_sub_category_edit', {'id': subCategory.id}) }}">Éditer</a>
                        <a href="{{ path('app_sub_category_delete', {'id': subCategory.id}) }}">Suprimer</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="3">Aucun enregistrement trouv</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_sub_category_new') }}">Créer nouveau</a>
{% endblock %}
